PHP Manual
Prev |  | Next

# xmlrpc_decode

(PHP 4 >= 4.1.0, PHP 5)

xmlrpc_decode -- Decodes XML into native PHP types

## Description

mixed xmlrpc_decode ( string xml [, string encoding] )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`xml`

  XML response returned by XMLRPC method.

`encoding`

  Input encoding supported by iconv (defaults to "iso-8859-1").

## Return Values

Returns either an array, or an integer, or a string, or a boolean according to the response returned by the XMLRPC method.

## Examples

See example by xmlrpc_encode_request().

## See Also

xmlrpc_encode_request()
xmlrpc_is_fault()

Prev | Home | Next
xmlrpc_decode_request | Up | xmlrpc_encode_request